#ifndef LIGHT_H
#define LIGHT_H

#include <glew/glew.h>
#include <glm/vec3.hpp>
#include <vector>

#define MAX_LIGHTS 4

class Shader;

class Lights
{
public:
    void addLight(const glm::vec3 &myPosition = glm::vec3(0), const glm::vec3 myColor = glm::vec3(1));
    void bind(GLuint lightsLocation, GLuint nbLocation, Shader* shader);

    typedef struct
    {
        glm::vec3 position;
        glm::vec3 color;
    } Light;

private:
    std::vector<Light> lights;
};

#endif // LIGHT_H
