#ifndef SKYBOXMODULE_H
#define SKYBOXMODULE_H

#include <glew/glew.h>
#include "module.h"
#include <string>

class Shader;
class Texture;

class SkyboxModule : public Module
{
    static const GLfloat skyboxVertices[];
    static const std::string vertSource;
    static const std::string fragSource;

    // modern opengl variables
    GLuint vao;
    GLuint vbo;
    GLuint mvpLocation;
    Shader* shader;
    Texture* cubeMap;
    //crappy opengl variables
    GLuint displayList;

    void drawCube();

public:
    SkyboxModule(Texture* myCubeMap);
    ~SkyboxModule();
    virtual void renderGL(Camera* myCamera);
    virtual bool requiresModernOpenGL() {return false;}
};

#endif // SKYBOXMODULE_H
